Skip to main content
`Ctrl`+`K`

# TSAdjointReset

Resets a `TS` adjoint context and removes any allocated `Vec`s and `Mat`s.

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSAdjointReset(TS ts)

Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## See Also

TS: Scalable ODE and DAE Solvers, `TSCreate()`, `TSAdjointSetUp()`, `TSDestroy()`

## Level

beginner

## Location

src/ts/interface/sensitivity/tssen.c

## Examples

src/ts/tutorials/ex20opt_ic.c
src/ts/tutorials/ex20opt_p.c

## Implementations

TSAdjointReset_ARKIMEX() in src/ts/impls/arkimex/arkimex.c
TSAdjointReset_RK() in src/ts/impls/explicit/rk/rk.c
TSAdjointReset_Theta() in src/ts/impls/implicit/theta/theta.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages